net.i2p.apps.systray

## Class SysTray

- java.lang.Object
- - net.i2p.apps.systray.SysTray

- All Implemented Interfaces:
    EventListener, snoozesoft.systray4j.SysTrayMenuListener

      public class SysTray
      extends Object
      implements snoozesoft.systray4j.SysTrayMenuListener

  A system tray control for launching the I2P router console.
  Author:
    hypercubus

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SysTray` | `getInstance()`
    `void` | `hide()`
    `void` | `iconLeftClicked(snoozesoft.systray4j.SysTrayMenuEvent e)`
    `void` | `iconLeftDoubleClicked(snoozesoft.systray4j.SysTrayMenuEvent e)`
    `static void` | `main(String[] args)` Starts SysTray, even on linux (but requires kde3 libsystray4j.so to do anything)
    `void` | `menuItemSelected(snoozesoft.systray4j.SysTrayMenuEvent e)`
    `void` | `refreshDisplay()`
    `void` | `show()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SysTray getInstance()

    - #### refreshDisplay

          public void refreshDisplay()

    - #### hide

          public void hide()

    - #### iconLeftClicked

          public void iconLeftClicked(snoozesoft.systray4j.SysTrayMenuEvent e)

      Specified by:
        `iconLeftClicked` in interface `snoozesoft.systray4j.SysTrayMenuListener`

    - #### iconLeftDoubleClicked

          public void iconLeftDoubleClicked(snoozesoft.systray4j.SysTrayMenuEvent e)

      Specified by:
        `iconLeftDoubleClicked` in interface `snoozesoft.systray4j.SysTrayMenuListener`

    - #### menuItemSelected

          public void menuItemSelected(snoozesoft.systray4j.SysTrayMenuEvent e)

      Specified by:
        `menuItemSelected` in interface `snoozesoft.systray4j.SysTrayMenuListener`

    - #### show

          public void show()

    - #### main

          public static void main(String[] args)

      Starts SysTray, even on linux (but requires kde3 libsystray4j.so to do anything)
      Since:
        0.8.1